summaryrefslogtreecommitdiffstats
path: root/system/docker-machine
diff options
context:
space:
mode:
author Audrius Kažukauskas <audrius@neutrino.lt>2017-05-07 18:30:15 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-05-13 06:58:59 +0700
commitc1ac64a815aef7061d568f5dabe83ebe0817460f (patch)
treee39e76b7090b93656e05122bd90ef01dbe5a7c02 /system/docker-machine
parent57dd8296a01757998dd078b836ab47100e9e3498 (diff)
downloadslackbuilds-c1ac64a815aef7061d568f5dabe83ebe0817460f.tar.gz
slackbuilds-c1ac64a815aef7061d568f5dabe83ebe0817460f.tar.xz
system/docker-machine: Added (machine management).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/docker-machine')
-rw-r--r--system/docker-machine/README4
-rw-r--r--system/docker-machine/docker-machine.SlackBuild83
-rw-r--r--system/docker-machine/docker-machine.info10
-rw-r--r--system/docker-machine/slack-desc19
4 files changed, 116 insertions, 0 deletions
diff --git a/system/docker-machine/README b/system/docker-machine/README
new file mode 100644
index 0000000000..8776f2b482
--- /dev/null
+++ b/system/docker-machine/README
@@ -0,0 +1,4 @@
+Machine lets you create Docker hosts on your computer, on cloud
+providers, and inside your own data center. It creates servers,
+installs Docker on them, then configures the Docker client to talk to
+them.
diff --git a/system/docker-machine/docker-machine.SlackBuild b/system/docker-machine/docker-machine.SlackBuild
new file mode 100644
index 0000000000..060db039e7
--- /dev/null
+++ b/system/docker-machine/docker-machine.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for docker-machine
+
+# Copyright 2017 Audrius Kažukauskas <audrius@neutrino.lt>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=docker-machine
+SRCNAM=machine
+VERSION=${VERSION:-0.11.0}
+GITHASH=${GITHASH:-5b27455}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Patch git hash to be displayed in version output.
+sed -i "/GitCommit =/ s/HEAD/${GITHASH}/" version/version.go
+
+mkdir -p build
+mv vendor build/src
+ln -sf $TMP/$SRCNAM-$VERSION build/src/github.com/docker/machine
+
+make build \
+ PREFIX=$PKG/usr \
+ GOPATH=$TMP/$SRCNAM-$VERSION/build
+
+# Completion.
+install -D -m 0644 contrib/completion/bash/docker-machine.bash $PKG/usr/share/bash-completion/completions/docker-machine
+install -D -m 0644 contrib/completion/zsh/_docker-machine $PKG/usr/share/zsh/site-functions/_docker-machine
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.md LICENSE MAINTAINERS README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/docker-machine/docker-machine.info b/system/docker-machine/docker-machine.info
new file mode 100644
index 0000000000..f18cae8673
--- /dev/null
+++ b/system/docker-machine/docker-machine.info
@@ -0,0 +1,10 @@
+PRGNAM="docker-machine"
+VERSION="0.11.0"
+HOMEPAGE="https://docs.docker.com/machine/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/docker/machine/archive/v0.11.0/machine-0.11.0.tar.gz"
+MD5SUM_x86_64="26a4439a85b7995a33c41d9f1bb3fd52"
+REQUIRES="google-go-lang"
+MAINTAINER="Audrius Kažukauskas"
+EMAIL="audrius@neutrino.lt"
diff --git a/system/docker-machine/slack-desc b/system/docker-machine/slack-desc
new file mode 100644
index 0000000000..0ef6b90dfa
--- /dev/null
+++ b/system/docker-machine/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+docker-machine: docker-machine (machine management for a container-centric world)
+docker-machine:
+docker-machine: Machine lets you create Docker hosts on your computer, on cloud
+docker-machine: providers, and inside your own data center. It creates servers,
+docker-machine: installs Docker on them, then configures the Docker client to talk to
+docker-machine: them.
+docker-machine:
+docker-machine: Homepage: https://docs.docker.com/machine/
+docker-machine:
+docker-machine:
+docker-machine: